
QGIS Application - Bug report #15008

QGIS Crashes when right clicking on a table added from PostGIS

2016-06-12 07:20 AM - Randal Hale

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 22955

Description

If you add a table from postgis then right click on the table - QGIS Crashes. I rebooted and renamed my .qgis2 directory but it didn't help.

I do have write access to the table.

History

#1 - 2016-06-12 02:10 PM - Nyall Dawson

- Status changed from Open to Feedback

Is this a non spatial table? If so, should have been fixed by commit:054604bc709129efbc05098f09cacd8f0204efe9

#2 - 2016-06-12 02:35 PM - Randal Hale

It is non spatial - I'll update qgis tonight and check it. Thanks.

#3 - 2016-06-13 07:15 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Fixed by commit:054604bc709129efbc05098f09cacd8f0204efe9 - please reopen if it's still reproducable
